#
# spec file for package libxslt-python (Version 1.1.24)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libxslt-python
BuildRequires:  libxml2-python libxslt-devel python-devel
Summary:        Python Bindings for libxslt
Version:        1.1.24
Release:        24
License:        MIT License (or similar)
Group:          Development/Libraries/Python
Source:         libxslt-%{version}.tar.bz2
# Uncomment to save space:
#NoSource:      0
Patch0:         libxslt-%{version}-linkflags.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{py_requires}
Requires:       libxml2 >= 2.6.27
Url:            http://xmlsoft.org/XSLT/

%description
The libxslt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxslt library to apply XSLT transformations.

This library allows parsing stylesheets. It uses the libxml2-python to
load and save XML and HTML files. Direct access to XPath and the XSLT
transformation context are possible. Thus it is possible to extend the
XSLT language with XPath functions written in Python.



Authors:
--------
    Daniel Veillard <daniel@veillard.com>

%prep
%setup -q -n libxslt-%{version}
%patch0

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
%configure
# use libxslt as built by libxslt source package
mkdir libxslt/.libs libexslt/.libs
cp -v %{_libdir}/libxslt.la libxslt
cp -v %{_libdir}/libexslt.la libexslt
make -C python

%install
export RPM_BUILD_ROOT
make -C python install \
	DESTDIR=$RPM_BUILD_ROOT \
	pythondir=%{py_sitedir} \
	PYTHON_SITE_PACKAGES=%{py_sitedir}
# Unwanted doc stuff
rm -fr $RPM_BUILD_ROOT%{_datadir}/doc
# #223696
rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{py_sitedir}/*
# %{python_sitepath}/libxslt.py
# %{python_sitepath}/libxsltmod.so
%doc python/TODO
%doc python/libxslt-python-api.xml
%doc python/tests/*.py
%doc python/tests/*.xml
%doc python/tests/*.xsl

%changelog
