#
# spec file for package libxslt (Version 1.1.24)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libxslt
BuildRequires:  libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libxml2-devel
Summary:        XSL Transformation Library
Version:        1.1.24
Release:        23
License:        MIT License (or similar)
Group:          System/Libraries
# bug437293
%ifarch ppc64
Obsoletes:      libxslt-64bit
%endif
#
Source:         %{name}-%{version}.tar.bz2
Source2:        baselibs.conf
Patch0:         %{name}-%{version}-no-net-autobuild.patch
Patch1:         %{name}-%{version}-rc4-overflow.patch
Patch2:         %{name}-%{version}-am.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       libxml2 >= 2.6.27
Url:            http://xmlsoft.org/XSLT/

%description
This C library allows you to transform XML files into other XML files
(or HTML, text, and more) using the standard XSLT stylesheet
transformation mechanism.

It is based on libxml (version 2) for XML parsing, tree manipulation,
and XPath support. It is written in plain C, making as few assumptions
as possible and sticks closely to ANSI C/POSIX for easy embedding.
Although not primarily designed with performance in mind, libxslt seems
to be a relatively fast processor. It also includes full support for
the EXSLT set of extension functions as well as some common extensions
present in other XSLT engines.

The package comes with xsltproc, a command line interface to the XSLT
engine.



Authors:
--------
    Daniel Veillard <veillard@redhat.com>

%package devel
License:        LGPLv2.1+
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/C and C++
# bug437293
%ifarch ppc64
Obsoletes:      libxslt-devel-64bit
%endif
#
Requires:       %{name} = %{version}
Requires:       libxml2-devel >= 2.6.27
Requires:       libgcrypt-devel libgpg-error-devel glibc-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



%prep
%setup -q
%patch0
%patch1
%patch2 -p1

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
%configure --disable-static --with-pic --without-python
%{__make} %{?jobs:-j%jobs}

%check
make check

%install
make DESTDIR=$RPM_BUILD_ROOT install
# Unwanted doc stuff
rm -fr $RPM_BUILD_ROOT%{_datadir}/doc
# libxslt-python uses these
#%{__rm} -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING* Copyright TODO FEATURES
%{_libdir}/lib*.so.*
%{_bindir}/xsltproc
%{_mandir}/man1/xsltproc.1*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/*.sh
%{_libdir}/pkgconfig/*.pc
%{_libdir}/lib*.la
%{_includedir}/*
%{_datadir}/aclocal/*
%{_bindir}/xslt-config
%{_mandir}/man3/*
# not available doc/*.png
%doc doc/*.html doc/html doc/tutorial doc/*.gif

%changelog
